| Home | Libraries | People | FAQ | More

## Struct template set_of

boost::container::pmr::set_of

## Synopsis

    // In header: <boost/container/pmr/set.hpp>

    template<typename Key, typename Compare = std::less<Key>,
             typename Options = void>
    struct set_of {
      // types
      typedef boost::container::set< Key, Compare, polymorphic_allocator< Key >, Options > type;
    };

## Description

A portable metafunction to obtain a set that uses a polymorphic allocator